Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: apprecovery.create
コレクションでコンテンツを整理
必要に応じて、コンテンツの保存と分類を行います。
復元ステータスが DRAFT のアプリ復元アクションを作成します。このアクションでは復元アクションは実行されないことに注意してください。
HTTP リクエスト
POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/appRecoveries
この URL は gRPC Transcoding 構文を使用します。
パスパラメータ
| パラメータ |
packageName |
string
必須。復元操作が実行されるアプリのパッケージ名。
|
リクエスト本文
リクエストの本文には、次の構造のデータが含まれます。
| JSON 表現 |
{
"targeting": {
object (Targeting)
},
// Union field recovery_action can be only one of the following:
"remoteInAppUpdate": {
object (RemoteInAppUpdate)
}
// End of list of possible types for union field recovery_action.
} |
| フィールド |
targeting |
object (Targeting)
地域、Android SDK バージョン、アプリのバージョンなど、リカバリ アクションのターゲティング条件を指定します。
|
共用体フィールド recovery_action。実行するアプリ復元操作の種類です。必須。recovery_action は次のいずれかになります。 |
remoteInAppUpdate |
object (RemoteInAppUpdate)
アクション タイプはリモート アプリ内アップデートです。その結果、テスト目的でダウンロード可能なリカバリ モジュールも作成されます。
|
レスポンスの本文
成功した場合、レスポンスの本文には、新しく作成された AppRecoveryAction のインスタンスが含まれます。
認可スコープ
次の OAuth スコープが必要です。
https://www.googleapis.com/auth/androidpublisher
RemoteInAppUpdate
リモート アプリ内アップデート アクション タイプのオブジェクト表現。
| JSON 表現 |
{
"isRemoteInAppUpdateRequested": boolean
} |
| フィールド |
isRemoteInAppUpdateRequested |
boolean
必須。Remote In-App Update アクション タイプが必要な場合は true に設定します。
|
特に記載のない限り、このページのコンテンツはクリエイティブ・コモンズの表示 4.0 ライセンスにより使用許諾されます。コードサンプルは Apache 2.0 ライセンスにより使用許諾されます。詳しくは、Google Developers サイトのポリシーをご覧ください。Java は Oracle および関連会社の登録商標です。
最終更新日 2025-07-26 UTC。
[[["わかりやすい","easyToUnderstand","thumb-up"],["問題の解決に役立った","solvedMyProblem","thumb-up"],["その他","otherUp","thumb-up"]],[["必要な情報がない","missingTheInformationINeed","thumb-down"],["複雑すぎる / 手順が多すぎる","tooComplicatedTooManySteps","thumb-down"],["最新ではない","outOfDate","thumb-down"],["翻訳に関する問題","translationIssue","thumb-down"],["サンプル / コードに問題がある","samplesCodeIssue","thumb-down"],["その他","otherDown","thumb-down"]],["最終更新日 2025-07-26 UTC。"],[],["This document details creating an app recovery action using a POST request to `https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/appRecoveries`. The request requires the app's package name as a path parameter. The request body must include `targeting` criteria and specify the `recovery_action`, with the only supported type being `remoteInAppUpdate`. This sets the `isRemoteInAppUpdateRequest` field to `true`. Successful requests return an `AppRecoveryAction` instance, and the operation requires the `androidpublisher` OAuth scope.\n"]]